## kdegraphics-3.0.1.tar.bz2

=== kpaint/DESCRIPTION ===
KPaint is a simple bitmap paint program. It provides a number of
drawing tools including lines, circles, rectanges, spraycan
etc. KPaint supports a number of image formats including gif, jpeg,
bmp, xpm, xbm and pnm.

=== debian/changelog ===
kdegraphics (4:3.0.1-0) unstable; urgency=low

  * New Upstream.
  * Rebuilt debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 16 Apr 2002 22:00:00 -0500

kdegraphics (4:2.2.2-6.4) unstable; urgency=high

  * NMU
  * Fix kamera.h so that we build on all archs...hopefully

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 17 Mar 2002 16:45:00 -0700

kdegraphics (4:2.2.2-6.3) unstable; urgency=high

  * NMU
  * Not so anal on build-deps

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Mar 2002 00:15:00 -0700

kdegraphics (4:2.2.2-6.2) unstable; urgency=high

  * NMU
  * Don't build-depend on libsane-dev for hppa and also don't build any of 
    the scanner on hppa as sane doesn't currently build on hppa.
  * Fix documentation links (Closes: #136429, #136421, #136420)
  * Add kooka russian debconf template (Closes: #137665)
  * No more missing symbol (Closes: #134135)
  * Fix kghostview startup (Closes: #127736)
  * Fix x-dvi registration (Closes: #129207)
  * Re-add kdvi to kview (Closes: #126241)
  * Add Build-Depend for libusb-dev as libkscan seems to need it now...
  * Add Build-Depend for libexif-dev as gphoto2-dev doesn't depend on it
  * Not missing anything (Closes: #131655)
  * Fix kamera build (Closes: #137905)
  * Change Maintainer to: Christopher L Cheney <ccheney@debian.org> since
    he's taking over from Daniel.  Both are cool with this to boot.
    and I said I wasn't going to touch any kde stuff...geesh!

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 11 Mar 2002 12:46:00 -0700

kdegraphics (4:2.2.2-6) unstable; urgency=low

  * The "muzak-Christmas-carols-suck" release.
    Alternately, the "I'm-under-peer-pressure-to-give-this-a-name" release,
    or the "no-notice-NMUs-suck-donkey-balls" release (hi lamont!).
  * Acknowledge lamont's NMU. (closes: #125871, #125956)
  * kamera/kioslave/kamera.cpp:
    - Apply patch to fix dodgy Canon camera drivers. (closes: #125873).
  * debian/rules:
    - Build with a different builddir to srcdir, thanks to Eray Ozkural.
      kdvi still doesn't build, though. 
    - While I'm at it, make sure index.cache.bz2 and any other excess crap is
      removed.
  * Here's a few fixed bugs, merry Christmas. I could well be out of contact
    for some time, depending on my sister fixing my machine or not. If she
    doesn't, feel free to NMU my packages if *needed*. (Building on
    danish's machine now).

 -- Daniel Stone <daniel@sfarc.net>  Sun, 23 Dec 2001 10:37:39 -0500

kdegraphics (4:2.2.2-5.1) unstable; urgency=low

  * NMU
  * Add Replaces: kview (<<4:2.2.2-5) to kfract.  Closes: #125871.
  * Add docbook-to-man to build-depends.

 -- LaMont Jones <lamont@security.hp.com>  Sat, 22 Dec 2001 19:41:59 -0700

kdegraphics (4:2.2.2-5) unstable; urgency=low

  * CVS resync. (Taken at 9-12-21, 23:21 - UTC+11).
    - New repository - my /var/cvs. Sorry.
  * New maintainer. (closes: #114108) 
  * Rebuild with latest sid stuff. hopefully (closes: #123029)
  * debian/{kfax,kview,ksnapshot,kruler,kpaint,kooka,kiconedit,
    kghostview,kfract,kcolorchooser,kcoloredit,kviewshell}.sgml:
    - Wrote new manpages. (closes: #100389)
  * debian/kview.menu:
    - Added "Images" menu hint. (closes: #121034)
  * debian/kghostview.menu:
    - Added "Documents" menu hint. (closes: #121031)
  * debian/rules, debian/control, etc:
    - Stopped building kdvi. For some bizzare reason, it randomly refused to
    build; it looks like it's fine building the once, but then after that,
    just refuses to build. This could cause random problems on autobuilders.
    *sigh*
  * debian/control:
    - Spelling updates. (closes: #124776, #124841, #124992)

 -- Daniel Stone <daniel@sfarc.net>  Fri, 30 Nov 2001 21:51:05 +1100

kdegraphics (4:2.2.2-4.1) unstable; urgency=low

  * Ok..so I fixed kamera...it builds fine on i386...but doesn't on non-i386
    systems.  dig dig dig..ahhh..not linking to gphoto2_port.. (Closes: #121897)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 01 Dec 2001 01:17:00 -0700

kdegraphics (4:2.2.2-4) unstable; urgency=low

  * fix kamera after breaking it last time

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 00:10:00 -0700

kdegraphics (4:2.2.2-3) unstable; urgency=low

  * Sync with upstream
  * More build cleanup/fixes
  * Build-dep/dep/etc cleanup
  * Update documentation for freeze
  * Fix kamera desktop file...

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 29 Nov 2001 04:23:00 -0700

kdegraphics (4:2.2.2-2) unstable; urgency=low

  * Let's get kamera to  work

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 27 Nov 2001 03:02:00 -0700

kdegraphics (4:2.2.2-1) unstable; urgency=low

  * New upstream version
  * Don't build kamera as it doesn't build. :)  (Closes: #119813)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Nov 2001 12:18:00 -0700

kdegraphics (4:2.2.1.0-2) unstable; urgency=low

  * Fix configure
  * Add missing build-dep

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 05 Oct 2001 12:18:00 -0700

kdegraphics (4:2.2.1.0-1) unstable; urgency=low

  * Provide kamera package now that libgpio is available
  * build with automake 1.5 maybe

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Oct 2001 22:17:00 -0700

kdegraphics (4:2.2.1-1) unstable; urgency=low
 
  * New upstream version 2.2.1
  * Change maintainer
  * Lintian error cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Aug 2001 14:38:00 -0700

kdegraphics (4:2.2.0-final-1) unstable; urgency=low
 
  * New upstream version 2.2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Jul 2001 00:01:00 -0700

kdegraphics (4:2.2.0-0.1beta1-2) unstable; urgency=low
 
  * grr...get rid of that ^H so it'll build on alpha and others
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 23:00:00 -0700

kdegraphics (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * sync with upstream
  * more alpha build fixes
  * gcc3 build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 02:02:00 -0700



=== debian/control ===
Source: kdegraphics
Section: graphics
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.0), automake1.5, gawk, gettext, gphoto2-dev, imlib-dev, kdelibs4-dev, libexif-dev, libfam-dev, libgtk1.2-dev, libqt3-mt-dev, libsane-dev, libtiff3g-dev, libusb-dev, tetex-bin, texinfo, xlibs-dev, xpdf-utils, zlib1g-dev
Standards-Version: 3.5.6.0

Package: kdegraphics
Architecture: all
Depends: kamera (= ${Source-Version}), kcoloredit (= ${Source-Version}), kdvi (= ${Source-Version}), kfax (= ${Source-Version}), kfile-graphics-plugins (= ${Source-Version}), kfract (= ${Source-Version}), kghostview (= ${Source-Version}), kiconedit (= ${Source-Version}), kooka (= ${Source-Version}), kpaint (= ${Source-Version}), kruler (= ${Source-Version}), ksnapshot (= ${Source-Version}), kuickshow (= ${Source-Version}), kview (= ${Source-Version}), kviewshell (= ${Source-Version}), libkscan1 (= ${Source-Version})
Description: KDE Graphics metapackage
 KDE Graphics metapackage.

Package: kamera
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: digital camera io_slave for Konquerer
 This is a digital camera io_slave for KDE which uses gphoto2 and libgpio
 to allow access to your camara's pictures with the URL kamera:/

Package: kcoloredit
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: An editor for palette files
 This is a color palette editor for KDE.

Package: kdvi
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-bin
Description: KDE dvi viewer
 KDE dvi viewer

Package: kfax
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE G3/G4 Fax Viewer
 KDE G3/G4 Fax Viewer

Package: kfile-graphics-plugins
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: provide meta information for graphic files
 provide meta information for graphic files

Package: kfract
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: fractal generator for KDE
 Kfract is a generator for fractals. Well, at this early stage it's only 
 capable of mandelbrot sets and julia sets. Nothing fancy like Xfractint. 
 And it's way far from being as fast as Xfractint. But it's much easier to use.

Package: kghostview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, gs
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for KDE.
 KGhostview is the PostScript viewer for the K Desktop Environment. It is a 
 port of Tim Theisen's Ghostview program which is used to view documents 
 prepared in Adobe's PostScript page description language. PostScript is the 
 major page description language for printing on UNIX systems and this 
 application is used to preview material intended for printing or for reading 
 documents online.

Package: kiconedit
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: An icon editor for creating KDE icons
 KIconedit is an icon editor for creating KDE and other icons

Package: kooka
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: Scanner program for KDE
 Kooka is a scanner program based on SANE and KScan library.

Package: kpaint
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: A Simple Paint Program for KDE
 KPaint is a very simple paint program for KDE.

Package: kruler
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: a screen ruler and color measurement tool for KDE
 Kruler is a screen ruler and color measurement tool for KDE.

Package: ksnapshot
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: Screenshot application for KDE
 KSnapshot is a simple applet for taking screenshots. It is capable of 
 capturing images of either the whole desktop or just a single window. 
 The images can then be saved in a variety of formats.

Package: kuickshow
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE image/slideshow viewer
 KDE image/slideshow viewer

Package: kview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple image viewer/converter for KDE.
 KView is a simple image viewer/converter application. This package contains
 kdvi, kfax, kview, and kviewshell.

Package: kviewshell
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE generic framework for viewer applications
 KDE generic framework for viewer applications

Package: kviewshell-dev
Section: devel
Architecture: any
Depends: kviewshell (= ${Source-Version})
Description: KDE generic framework for viewer applications (development files)
 KDE generic framework for viewer applications (development files)

Package: libkscan1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Scanner library for KDE
 KScan is KDE's Scanner Library. It's used by kooka and by koffice currently.
 It provides an easy-to-use library, which allows you to acces your scanner
 (camera - as long as it's sane compatible).

Package: libkscan1-dev
Section: devel
Architecture: any
Depends: libkscan1 (= ${Source-Version}), libc6-dev
Description: Scanner library for KDE (development files)
 This package contains development files for KDE's Scanner Library.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),alpha-linux)
  export CFLAGS +=-O0 -mieee
  export CXXFLAGS +=-O0 -mieee
endif

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  XINERAMA=--with-xinerama
endif

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Apply Debian specific patches
	if test ! -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo APPLYING PATCH\: $${patch##*/};\
			patch -p1 < $$patch ;\
		done ;\
		touch patch-stamp ;\
	fi

	# KDE CVS does not have aclocal.m4 or configure
	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) $(XINERAMA)

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/debiandirs

	# Remove Debian specific patches
	if test -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo REMOVING PATCH\: $${patch##*/};\
			patch -p1 -R < $$patch ;\
		done ;\
		rm -f patch-stamp ;\
	fi

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	#if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_undocumented
	dh_installman
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/kviewshell/usr/lib:debian/libkscan1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
